ICU 70.1 70.1

Data Structures | Typedefs
umisc.h File Reference

C API:misc definitions. More...

`#include "unicode/utypes.h"`

Go to the source code of this file.

## Data Structures
struct | UFieldPosition
| A struct representing a range of text containing a specific field. More...

## Typedefs
typedef struct UFieldPosition | UFieldPosition
| A struct representing a range of text containing a specific field. More...
typedef const void * | URegistryKey
| Opaque type returned by registerInstance, registerFactory and unregister for service registration. More...

## Detailed Description

C API:misc definitions.

This file contains miscellaneous definitions for the C APIs.

Definition in file umisc.h.

## Typedef Documentation

## ◆ UFieldPosition

typedef struct UFieldPosition UFieldPosition

A struct representing a range of text containing a specific field.

Stable:
  ICU 2.0

## ◆ URegistryKey

typedef const void* URegistryKey

Opaque type returned by registerInstance, registerFactory and unregister for service registration.

Stable:
  ICU 2.6

Definition at line 57 of file umisc.h.